Subject: bug#4837: with-fewer-warnings ?

From: Glenn Morris <[email-masked]>
Date: Mon, 09 Nov 2009 03:45:24 -0500

Richard Stallman wrote:

> I think it isn't worth doing,

(I'd already done it, locally, before posting.)

> because it would only gain you very much if you put a lot of code
> inside with-no-warnings; we avoid doing that.

Perhaps because it is such a blunt instrument. This would make it a
bit less blunt. I don't claim this is important, but it is easy to
implement.

Example usage:

In the _implementation_ of an obsolete feature, it's ok to use an
obsolete variable and there is no need to be warned about it being
obsolete. However, you should still be warned about the variable not
being defined, in case you remove it altogether but forget to update
the code that uses it.